from olives_jobcontext import JobContext
from olives_jobstep import JobStep

class Job:
    """
    This is the wrapper around the C++ "Job" class.

    The "olives" prefix in the file indicates it is not meant to be edited for modifying,
    as this will most definitely result in breakage.
    """

    def clear_running(self, is_cancelled: bool): ...

    def increment_step(self, num_steps: int): ...

    def set_ticks_elapsed(self, ticks: int): ...

    def get_context(self) -> JobContext: ...

    def get_is_internal(self) -> bool: ...

    def get_step(self) -> JobStep: ...
